from some_sdk.weixin_sdk.session import get_logged_in_client
from some_sdk.weixin_sdk.apis.userlist import list_department_user, get_user_detail_by_vid

# 首次调用：登录并创建 client
client = get_logged_in_client()

def test_list_department_user(partyid: str):
    department_list = list_department_user(client, partyid)
    for index, department in enumerate(department_list, 1):
        print(f'{index}. {department}')
        print('==== ' * 10)
        
    return 
  

if __name__ == "__main__":
    test_list_department_user('1688852859949799')



